Main Page Modules Data Structures File List Data Fields Globals Related Pages

# rpmdb/legacy.h File Reference

More...

Go to the source code of this file.

## Functions
int | domd5 (const char *fn, unsigned char *digest, int asAscii, size_t *fsizep)
| Return MD5 sum and size of a file. More...
void | compressFilelist (Header h)
| Convert absolute path tag to (dirname,basename,dirindex) tags. More...
void | expandFilelist (Header h)
| Convert (dirname,basename,dirindex) tags to absolute path tag. More...
void | buildOrigFileList (Header h, const char ***fileListPtr, int *fileCountPtr)
void | providePackageNVR (Header h)
| Retrofit a Provides: name = version-release dependency into legacy packages. More...
void | legacyRetrofit (Header h, const struct rpmlead *lead)
| Do all necessary retorfits for a package header. More...
## Variables
int | _noDirTokens

## Detailed Description

Definition in file legacy.h.

## Function Documentation

void buildOrigFileList | ( | Header | h,
|  | const char *** | fileListPtr,
|  | int * | fileCountPtr
| ) |

  | Parameters:
  h | header
  Return values:
  fileListPtr | list of files
  fileCountPtr | number of files
Definition at line 438 of file legacy.c.

void compressFilelist | ( | Header | h | ) |

  | Convert absolute path tag to (dirname,basename,dirindex) tags. Parameters:
  h | header
Definition at line 259 of file legacy.c. Referenced by genCpioListAndHeader, hdrCompressFilelist, hdrLoad, legacyRetrofit, mungeFilelist, and rpmReadHeaders.

int domd5 | ( | const char * | fn,
|  | unsigned char * | digest,
|  | int | asAscii,
|  | size_t * | fsizep
| ) |

  | Return MD5 sum and size of a file. Parameters:
  fn | file name
  Return values:
  digest | address of md5sum
  Parameters:
  asAscii | return md5sum as ascii string?
  Return values:
  fsizep | file size pointer (or NULL)
Returns: 0 on success, 1 on error Definition at line 148 of file legacy.c. Referenced by genCpioListAndHeader, rpmAddSignature, and rpmVerifyFile.

void expandFilelist | ( | Header | h | ) |

  | Convert (dirname,basename,dirindex) tags to absolute path tag. Parameters:
  h | header
Definition at line 406 of file legacy.c. Referenced by genCpioListAndHeader, hdrExpandFilelist, and rpmdbAdd.

void legacyRetrofit | ( | Header | h,
|  | const struct rpmlead * | lead
| ) |

  | Do all necessary retorfits for a package header. Parameters:
  h | header
  lead |
Definition at line 529 of file legacy.c. Referenced by rpmReadPackageFile.

void providePackageNVR | ( | Header | h | ) |

  | Retrofit a Provides: name = version-release dependency into legacy packages. Parameters:
  h | header
Definition at line 448 of file legacy.c. Referenced by hdrLoad, legacyRetrofit, packageBinaries, rpmReadHeaders, and writeRPM.

## Variable Documentation

int _noDirTokens

| Definition at line 13 of file legacy.h.